classification
Title: add a resource+files section in setup.cfg
Type: enhancement Stage: resolved
Components: Distutils2 Versions: 3rd party
process
Status: closed Resolution: fixed
Dependencies: 8252 Superseder:
Assigned To: eric.araujo Nosy List: eric.araujo, meatballhat, tarek, titus, zubin71
Priority: normal Keywords: gsoc

Created on 2010-03-28 14:34 by tarek, last changed 2011-04-03 17:57 by l0nwlf. This issue is now closed.

Messages (6)
msg101861 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-03-28 14:34
Implement the [resources] section described in:

http://hg.python.org/distutils2/file/tip/docs/design/wiki.rst

We also need to add a description of packages, scripts and modules.
The result should be that projects will not need a setup.py file anymore
msg101863 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-03-28 14:36
and change the mkpkg script accordingly
msg102872 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-04-11 19:24
I’ve read some distutils-sig threads about this. Do you still want to write a PEP for it before implementation?
msg108376 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-06-22 13:47
I’m doing this after #8252. Monitor that bug and http://bitbucket.org/Merwok/distutils2-killsetup for updates.
msg110619 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-07-18 00:09
I’m working on the files section alongside the metadata section (#8252. I will wait for resources, since it’s much more controversial. I’ll clean up mkpkg (see #8591) before updating it to support the new sections.
msg132858 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-04-03 16:28
This is now done thanks to Tarek and sprinters.
History
Date User Action Args
2011-09-23 16:57:12eric.araujounlinkissue1092365 dependencies
2011-04-03 17:57:00l0nwlfsetnosy: - l0nwlf
2011-04-03 16:28:08eric.araujosetstatus: open -> closed
messages: + msg132858

dependencies: - update mkpkg to latest coding standards
resolution: accepted -> fixed
stage: needs patch -> resolved
2010-11-06 14:34:56eric.araujounlinkissue8679 dependencies
2010-09-30 01:54:54eric.araujolinkissue8679 dependencies
2010-09-30 01:34:13eric.araujosetversions: + 3rd party, - Python 2.6, Python 2.5, Python 3.1, Python 2.7, Python 3.2
2010-08-21 18:13:28eric.araujolinkissue1092365 dependencies
2010-07-18 00:09:51eric.araujosetdependencies: + update mkpkg to latest coding standards
messages: + msg110619
2010-07-17 20:58:55eric.araujosetassignee: tarek -> eric.araujo

nosy: + titus
2010-06-22 13:47:29eric.araujosetversions: - Python 3.3
messages: + msg108376

dependencies: + add a metadata section in setup.cfg
keywords: + gsoc
resolution: accepted
stage: needs patch
2010-05-01 02:05:47meatballhatsetnosy: + meatballhat
2010-04-11 19:24:23eric.araujosetmessages: + msg102872
2010-03-29 17:34:28zubin71setnosy: + zubin71
2010-03-28 18:52:59l0nwlfsetnosy: + l0nwlf
2010-03-28 14:44:20eric.araujosetnosy: + eric.araujo
2010-03-28 14:36:26tareksetmessages: + msg101863
2010-03-28 14:34:13tarekcreate